package com.bonus.canteen.core.supermarket.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel
public class SmtCheckProductLimitBuyDetailDTO {
   @ApiModelProperty("订单日期")
   private LocalDate orderDate;
   @ApiModelProperty("商品id")
   private Long productId;
   @ApiModelProperty("商品")
   private String productName;
   @ApiModelProperty("当前订单商品数量")
   private Integer currentProductNum;
   @ApiModelProperty("当天订单商品数量")
   private Integer todayProductNum;

   public LocalDate getOrderDate() {
      return this.orderDate;
   }

   public Long getProductId() {
      return this.productId;
   }

   public String getProductName() {
      return this.productName;
   }

   public Integer getCurrentProductNum() {
      return this.currentProductNum;
   }

   public Integer getTodayProductNum() {
      return this.todayProductNum;
   }

   public void setOrderDate(final LocalDate orderDate) {
      this.orderDate = orderDate;
   }

   public void setProductId(final Long productId) {
      this.productId = productId;
   }

   public void setProductName(final String productName) {
      this.productName = productName;
   }

   public void setCurrentProductNum(final Integer currentProductNum) {
      this.currentProductNum = currentProductNum;
   }

   public void setTodayProductNum(final Integer todayProductNum) {
      this.todayProductNum = todayProductNum;
   }

}
